<?php
/**
 * The template for displaying search results pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package Anza Lite
 */

get_header(); ?>
    <section id="searchpage" <?php post_class('blog-search-page section-padding'); ?>>
    <div class="container">
	
		<div class="row">
			<div class="col-md-12">
				<header class="page-header">
					<h1 class="page-title"><?php printf( esc_html__( 'Search Results for: %s', 'anza-lite' ), '<span>' . get_search_query() . '</span>' ); ?></h1>
				</header><!-- .page-header -->
			</div>
		
		</div>
		
        <div class="row blog-post-area">
			<div class="col-md-12">
		<?php
		if ( have_posts() ) : ?>

			

			<?php
			/* Start the Loop */
			while ( have_posts() ) : the_post();

				/**
				 * Run the loop for the search to output the results.
				 * If you want to overload this in a child theme then include a file
				 * called content-search.php and that will be used instead.
				 */
				get_template_part( 'template-parts/content', 'search' );

			endwhile;

		else :

			get_template_part( 'template-parts/content', 'none' );

		endif; ?>
			</div>
		</div>
		<?php the_posts_navigation(); ?>
		</div>
</section>

<?php
get_footer();
