<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package Anza Lite
 */

global $redux_demo;
/*
* blog_details_layout = 1 = full width
* blog_details_layout = 2 = sidebar on left
* blog_details_layout = 3 = sidebar on right
*/
get_header(); ?>
<article id="post-<?php the_ID(); ?>" <?php post_class('blog-details-page'); ?>>
    <div class="container">
        
        <?php 
        if($redux_demo['blog_details_layout']==1){
            get_template_part( 'template-parts/blog/full', 'full' );    
        }
        else if($redux_demo['blog_details_layout']==2){
            get_template_part( 'template-parts/blog/left', 'left' );
        }
        else{
            get_template_part( 'template-parts/blog/right', 'right' );
        }
		
		
         ?>      
          
    </div>
</article>
<?php

get_footer();