<?php
/**
 * The template for displaying 404 pages (not found)
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package Anza Lite
 */

get_header(); ?>

	<section id="404error" <?php post_class('error-404 not-found blog-search-page section-padding'); ?>>
    <div class="container">
	
		<div class="row">
			<div class="col-md-12">
				<header class="page-header">
					<h1 class="page-title"><?php esc_html_e( '404 Page Error', 'anza-lite' ); ?></h1>
				</header><!-- .page-header -->
			</div>
		
		</div>
		
        <div class="row">
			<div class="col-md-12">
			
				<header class="page-header">
					<h1 class="page-title"><?php esc_html_e( 'Oops! That page can&rsquo;t be found.', 'anza-lite' ); ?></h1>
				</header><!-- .page-header -->

				<div class="page-content">
					<p><?php esc_html_e( 'It looks like nothing was found at this location. Maybe try one of the links below or a search?', 'anza-lite' ); ?></p>

					<?php
						get_search_form();
					?>

				</div><!-- .page-content -->		
			</div>
		</div>
		</div>
</section>

<?php
get_footer();
