<?php

function anza_home_link(){
    return esc_url( home_url( '/' ) );
}
function anza_display_logo() {
    global $redux_demo;
	if($redux_demo['logo']['url'])
		return '<img src="'.$redux_demo['logo']['url'].'" alt="" width="'.anza_split_values($redux_demo['logo_settings']['width'],'px',0).'" style="margin-top:'.$redux_demo['logo_settings']['height'].';max-width: '.$redux_demo['logo_settings']['width'].';" />';
	else
		return bloginfo('name');
}

function anza_split_values($value,$split_txt,$return_level){
    $splited_value = split($split_txt,$value);
    return $splited_value[$return_level];
}

function anza_about_us_media($type){
    global $redux_demo;    
    if($type==1)
       return anza_post_attachment_image_by_class($redux_demo['about_image'],'anza_about_img');
    else
        return $redux_demo['about_video'];
}



function anza_services(){
	global $post;    
	$args = array(
		'post_type'      => 'services',
		'posts_per_page' => -1,
		'order'          =>'ASC',		
	);    
	$output = '';    
	$services_query = new WP_Query($args);
    $dealy_animation = 0;
	if( $services_query->have_posts() ) :
	while ($services_query->have_posts()) : $services_query->the_post();    
     $dealy_animation += .2; 
    $cls_icon = wp_kses_post(get_post_meta( $post->ID, 'ct_service_icon_style', true ));
	$output .= '<div class="col-md-4 col-sm-6 col-xs-12 wow fadeInDown" data-wow-delay="'.$dealy_animation.'s">
                <div class="single-service">
                    <div class="service-icon"><i class="fa '.wp_kses_post(get_post_meta( $post->ID, 'ct_service_icon', true )).' icon-none" aria-hidden="true"></i>
                    </div>
                    <h4>'.wp_kses_post(get_the_title()).'</h4>
                    <p>'.wp_kses_post(get_the_content()).'</p>
                </div>
            </div>';
	endwhile;
	else:	
	endif;
    //Reset Query
    wp_reset_postdata();
	return $output;
}

function anza_cta($id_cta){
	if(!isset($id_cta))
		return;
		
    $cta_cls="";
    $align = anza_post_meta_by_key($id_cta,'ct_cta_alignment');
    if(isset($align) && $align=='left')
        $cta_cls = '';
    if(isset($align) && $align=='center')
        $cta_cls = 'col-md-offset-2';    
    if(isset($align) && $align=='right')
        $cta_cls = 'col-md-offset-4';
        
    
    $output_cta = '<div class="col-md-8 '.$cta_cls.'">';
    $output_cta .= '<div class="header-text">
        <h2 class="wow fadeInDown" data-wow-delay=".2s">'.anza_post_meta_by_key($id_cta,'ct_cta_heading').'</h2>
        <p>'.anza_post_meta_by_key($id_cta,'ct_cta_desc').'</p>';
	if(anza_post_meta_by_key($id_cta,'ct_cta_button_text_1'))	
       $output_cta .= '<a class="slide-btn smoth-scroll" href="'.anza_post_meta_url_by_key($id_cta,'ct_cta_button_url_1').'"  target="'.anza_post_meta_by_key($id_cta,'ct_cta_button_url_target_1').'">'.anza_post_meta_by_key($id_cta,'ct_cta_button_text_1').'</a>';
   if(anza_post_meta_by_key($id_cta,'ct_cta_button_text_2'))	
       $output_cta .= '<a class="slide-btn other-btn smoth-scroll" href="'.anza_post_meta_url_by_key($id_cta,'ct_cta_button_url_2').'" target="'.anza_post_meta_by_key($id_cta,'ct_cta_button_url_target_2').'">'.anza_post_meta_by_key($id_cta,'ct_cta_button_text_2').'</a>';
   
    $output_cta .= '</div>';
    $output_cta .= '</div>';
    return $output_cta;
}

function anza_display_slider($id_cat_slider,$returntype){
   
    global $post;    
	$args = array(
		'post_type'      => 'slides',
		'posts_per_page' => -1,
		'order'          =>'ASC',
		'tax_query' => array(
            array(
                'taxonomy' => 'anza_slider',
                'field' => 'term_id',
                'terms' => $id_cat_slider,
            ),
        ),
	);  
    $output = '';
    $output_dots = '';
	$output_nav = '';
    $key = 0;
	$slider_query = new WP_Query($args);
   
	if( $slider_query->have_posts() ) :
	while ($slider_query->have_posts()) : $slider_query->the_post();
   
    if($key==0){
        $dots_act = 'class="active"';
        $slider_act = 'active';
    }
    else{
        $dots_act = '';
        $slider_act = '';        
    }
    $output_dots .= '<li data-target="#anza-slide-carousel" data-slide-to="'.$key.'" '.$dots_act.'></li>';
    
	$output_nav = '<a class="left slider-control" href="#anza-slide-carousel" role="button" data-slide="prev"><i class="fa fa-angle-left"></i></a><a class="right slider-control" href="#anza-slide-carousel" role="button" data-slide="next"><i class="fa fa-angle-right"></i></a>';
	
     $align = wp_kses_post(anza_post_meta_by_key(get_the_ID(),'ct_slider_alignment'));
	 $cta_cls = "";
    if($align=='left')
        $cta_cls = '';
    if($align=='center')
        $cta_cls = 'col-md-offset-2';    
    if($align=='right')
        $cta_cls = 'col-md-offset-4';
    
    
	$output .= '<div class="item '.$slider_act.'">
            <div class="single-slide-item parallax slide-1" style="background:url('.anza_post_featured_image_url(get_the_ID()).') scroll 0 0;background-size: cover;">
                <div class="single-slide-item-table">
                    <div class="single-slide-item-tablecell">
                        <div class="container">
                            <div class="row">
                                <div class="col-md-8 '.$cta_cls.'">
                                    <div class="header-text">
                                        <h2 class="wow fadeInDown" data-wow-delay=".2s">'.anza_post_meta_by_key(get_the_ID(),'ct_slider_heading').'</h2>
                                        <p>'.anza_post_meta_by_key(get_the_ID(),'ct_slider_desc').'</p>
                                        <a class="slide-btn smoth-scroll" href="'.anza_post_meta_url_by_key(get_the_ID(),'ct_slider_button_url_1').'">'.anza_post_meta_by_key(get_the_ID(),'ct_slider_button_text_1').'</a>
                                        <a class="slide-btn other-btn smoth-scroll" href="'.anza_post_meta_url_by_key(get_the_ID(),'ct_slider_button_url_2').'">'.anza_post_meta_by_key(get_the_ID(),'ct_slider_button_text_2').'</a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>';
    $key++;
	endwhile;
	else:
	
	endif;
    
    //Reset Query
    wp_reset_postdata();
    if($returntype=="dots")        
	   return $output_dots;
    else
        return $output;
}

function anza_post_meta_by_key($id_post,$key){
    return wp_kses_post(get_post_meta($id_post,$key,true));
    
}
function anza_post_meta_url_by_key($id_post,$key){
    return esc_url(get_post_meta($id_post,$key,true));
    
}

/*
* taxonomy filtration function
* $taxonomy = name of taxonomy (portfolio, projects)
*/
function anza_terms_filtration($taxonomy){
    $terms = get_terms($taxonomy);
	if(!$terms)
		return;
		
    $output_terms = '<a href="#" data-filter="*" class="current">'.esc_html__('All','anza-lite').'</a>';
    foreach ( $terms as $term ) {
        $output_terms .= '<a href="#" data-filter=".'.strtolower($term->slug).'">'.$term->name.'</a>';
    }   
    return $output_terms;
}


/*
* Grid Portfolio function
* $cpt = name of custom post type (portfolio, projects)
*/
function anza_grid_portfolio(){
    global $post;
	global $redux_demo;   
	$args = array(
		'post_type'      => 'projects',
		'posts_per_page' => $redux_demo['works_display_limit'],
        'orderby'    =>  'date',
        'order'      =>  'desc',
        'page'       =>  anza_current_page_number(),
        'offset'     =>  0
	);
   
	$output_projects = '';
	$portfolio_query = new WP_Query($args);
	if( $portfolio_query->have_posts() ) :
	while ($portfolio_query->have_posts()) : $portfolio_query->the_post();
    

    $thumb_image_url = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'anza_work_thumb' );
    
    $large_image_url = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'large' );
    
    $project_cat_filter = anza_taxonomy_names($post->ID,'projects','slug',array('lowercase'=>true,'prefix'=>' '),'slug');
    $project_cat_name = anza_taxonomy_names($post->ID,'projects','name',array('lowercase'=>true,'prefix'=>' '),'slug');
    $project_cat_display = anza_taxonomy_names($post->ID,'projects',array('firstcapital'=>true,'prefix'=>', '));
    
    
	$output_projects .= '<div class="col-md-4 col-sm-6 '.$project_cat_filter.' gitem">
                        <div class="item">
                            <a href="' . esc_url( $large_image_url[0] ) . '" class="work-popup">
                                <figure class="effect-bubba">
                                    ' . anza_post_featured_image_by_class($post->ID,'anza_work_thumb') . '
                                    <figcaption>
                                        <h2>'.wp_kses_post(get_the_title()).'</h2>
                                        <p>'.wp_kses_post(get_the_content()).'</p>
                                    </figcaption>
                                </figure>
                            </a>
                        </div>
                    </div>';
	endwhile;
	else:
	
	endif;
    
    //Reset Query
    wp_reset_postdata();
    
	return $output_projects;
}

/*
* Get all taxonomy names in a single line
* $id_post = id of the post
* $cpt = custom post type name
* $return = name or slug
* $args = array(
    'uppercase' => true / false
    'lowercase' => true / false
    'firstcapital' => true / false
    'prefix' => seperated with any expression exp: , or -
    )
*/
function anza_taxonomy_names($id_post,$cpt,$return,$args = array()){
   
   
    if(!isset($args['prefix']))
        $defaut_prefix = ', ';
    else
        $defaut_prefix = $args['prefix'];
    $term_list = wp_get_post_terms($id_post, $cpt, array("fields" => "all"));
    $output_term_single='';
    if($return=='name'){
        foreach($term_list as $term_single) {
             $output_term_single .= $term_single->name.$defaut_prefix;
        }
    }
    else{
        foreach($term_list as $term_single) {
             $output_term_single .= $term_single->slug.$defaut_prefix;
        }
    }
    $output_term_single = rtrim($output_term_single, ", \t\n");
  
    if(isset($args['uppercase'])==true)
        return strtoupper($output_term_single);
    if(isset($args['lowercase'])==true)
        return strtolower($output_term_single);
    if(isset($args['firstcapital'])==true)
        return ucfirst($output_term_single);
}

function anza_work_statistics(){
    global $redux_demo;
	if(!isset($redux_demo["works_stats_text"]) || $redux_demo["works_stats_text"]=="" )
		return;
	
   $stats_output = '';
   $column_count = count($redux_demo["works_stats_text"]);
   $column_layout = ceil(12/$column_count);
   $column_class = "col-md-$column_layout col-sm-6";
   $stats = $redux_demo["works_stats_text"];
    for($i=0; $i<count($stats); $i=$i+1){
        $stats_raw = preg_split('/<br[^>]*>/i', $stats[$i]);    
        
        $stats_output .= '<div class="'.$column_class.'">
        <div class="single-project-complete wow fadeInDown bg-overlay" data-wow-delay=".2s">
            <h2 class="counter-num">'.$stats_raw[0].'</h2>
            <h6>'.$stats_raw[1].'</h6>
        </div>
    </div>';
    }
    
    return $stats_output;
}


/*
* Get Team Members
*/
function anza_team_members(){
    
    $output_team = "";
    
     global $post;
	
	$args = array(
		'post_type'      => 'team',
		'posts_per_page' => -1,
		'order'          =>'ASC'
	);
	
    $dealy_animation = 0;
	$team_query = new WP_Query($args);
	if( $team_query->have_posts() ) :
	while ($team_query->have_posts()) : $team_query->the_post();
    $dealy_animation += .2;
    $title = get_the_title();
	$designation = get_post_meta($post->ID,'ct_team_member_designation',true);
    //$fb_url = get_post_meta($post->ID,'ct_team_member_facebook_url',true);
   // $tr_url = get_post_meta($post->ID,'ct_team_member_twitter_url',true);
   // $yt_url = get_post_meta($post->ID,'ct_team_member_youtube_url',true);
   // $ln_url = get_post_meta($post->ID,'ct_team_member_linkedin_url',true);
    
  
    
	$output_team .= '<div class="col-md-4 col-sm-6 wow fadeInDown" data-wow-delay="'.$dealy_animation.'s">
                <div class="single-team">

                    <figure class="effect-bubba">
                                '.anza_post_featured_image_by_class($post->ID,'anza_blog_grid').'
                                <figcaption>
                                   <div class="team-social">
                                   '.anza_team_social_icons($post->ID).'
                        
                    </div>
                                </figcaption>
                            </figure>

                    <div class="team-description">
                        <h4>'.wp_kses_post(get_the_title()).'</h4>
                        <h6>'.wp_kses_post($designation).'</h6>
                    </div>
                </div>
            </div>';
	endwhile;
	else:
	
	endif;
    
    //Reset Query
    wp_reset_postdata();
    
   
     return $output_team;
}


function anza_team_social_icons($id_post){    
    /*
    * Add your social networks here according to fontawesome class name
    */
    $default_social_sites = array('facebook','twitter','linkedin','youtube');
    $output_icons = '<ul>';
    foreach($default_social_sites as $icons){
        $social_name = "ct_team_member_".$icons."_url";
        if(get_post_meta($id_post,$social_name,true))
            $output_icons .= '<li><a href="'.esc_url ( get_post_meta($id_post,$social_name,true) ).'" title="'.$icons.'" target="_blank"><i class="fa fa-'.$icons.'"></i></a></li>';
    }
                                                                           
    $output_icons .= '</ul>';    
    return $output_icons;
   
}


/*
* Get Testimonials items 
*/
function anza_testimonials_column(){
    
    $output_testimonials = "";
    
     global $post;
	
	$args = array(
		'post_type'      => 'testimonials',
		'posts_per_page' => -1,
		'order'          =>'ASC'
	);
	
    
	$testimonials_query = new WP_Query($args);
	if( $testimonials_query->have_posts() ) :
	while ($testimonials_query->have_posts()) : $testimonials_query->the_post();
    
    $title = get_the_title();
	$designation = get_post_meta($post->ID,'ct_testimonial_designation',true);
    $content = get_post_meta($post->ID,'ct_testimonial_desc',true);

	$output_testimonials .= '<div class="single-testimonial">
                            <div class="single-testi-des">
                                <p>'.wp_kses_post($content).'</p>
                            </div>
                            <div class="testi-name">
                                 '.anza_post_featured_image_by_class($post->ID,'anza_testi_thumb').'
                                <h2>'.wp_kses_post(get_the_title()).'</h2>
                                <h3>'.wp_kses_post($designation).'</h3>
                            </div>
                        </div>';
	endwhile;
	else:
	
	endif;
    
    //Reset Query
    wp_reset_postdata();
    
   
     return $output_testimonials;
}


/*
* Get Testimonials items 
*/
function anza_pricing_table(){
    
    $output_pricing = "";
    
     global $post;
	
	$args = array(
		'post_type'      => 'pricing',
		'posts_per_page' => -1,
		'order'          =>'ASC'
	);
	
    $dealy_animation = 0;
	$pricing_query = new WP_Query($args);
	if( $pricing_query->have_posts() ) :
	while ($pricing_query->have_posts()) : $pricing_query->the_post();
    $dealy_animation += 2; 
    $title = get_the_title();
	$icon = get_post_meta($post->ID,'ct_pricing_icon',true);
    $price = get_post_meta($post->ID,'ct_pricing_item_price',true);
    $unit = get_post_meta($post->ID,'ct_pricing_item_unit',true);
    $btn_text = get_post_meta($post->ID,'ct_pricing_item_button_text',true);
    $btn_url = get_post_meta($post->ID,'ct_pricing_item_button_url',true);    
    $pricing_item_features = get_post_meta($post->ID,'ct_re_',true);
    $item_highlight = get_post_meta($post->ID,'ct_pricing_item_recomend',true);
    
    
    $image_url = get_template_directory_uri().'/img/testimonial-icon.png';
    
	$output_pricing .= '<div class="col-md-4 col-sm-6 wow fadeInDown" data-wow-delay=".'.$dealy_animation.'s">
                <div class="pricing-box">
                    <div class="pricing-header '.wp_kses_post($item_highlight).'">
                        <i class="fa '.wp_kses_post($icon).'"></i>                            
                        <div class="plan-title">
                            <h4>'.wp_kses_post($title).'</h4>
                        </div>
                        <div class="plan-price">
                            <p>$'.esc_attr($price).' <span>'.wp_kses_post($unit).'</span>
                            </p>
                        </div>
                    </div>
                    '.anza_pricing_table_features($pricing_item_features).'
                    <a class="plan-more" href="'.esc_url($btn_url).'">'.wp_kses_post($btn_text).'</a>
                </div>
            </div>';
	endwhile;
	else:
	
	endif;
    
    //Reset Query
    wp_reset_postdata();
    
   
     return $output_pricing;
}

function anza_pricing_table_features($features){
    
    $item_features = '<ul class="list-unstyled plan-features">';
    foreach($features as $feature){
        $item_features .= '<li><div class="fa fa-'.wp_kses_post($feature['ct_pricing_icon']).'"></div>'.wp_kses_post($feature['ct_pricing_item']).'</li>';
    }    
    $item_features .='</ul>';
    return $item_features;
}

function anza_home_page_blog_posts($limit){
    $output_blog = "";
    
     global $post;
	
	$args = array(
		'post_type'      => 'post',
		'posts_per_page' => $limit,
		 'order'=>'DESC',
                'orderby'=>'ID',
        'ignore_sticky_posts' => true
	);
	
    $dealy_animation = 0;
	$blog_query = new WP_Query($args);
   
	if( $blog_query->have_posts() ) :
	while ($blog_query->have_posts()) : $blog_query->the_post();
    $dealy_animation += 2; 
    $title = get_the_title();
	$sticky = "";
    if(is_sticky($post->ID)) {
		$sticky = '<span class="sticky_grid"><i class="fa fa-tag" aria-hidden="true"></i> '.esc_html__('Featured','anza-lite').'</span>';
	}
    
    $output_blog .= '<div class="col-md-4 col-sm-6 wow fadeInDown" data-wow-delay=".'.$dealy_animation.'s">
                    <div class="single-post">
                        <figure class="effect-bubba">
                                    '.anza_post_featured_image_by_class($post->ID,'anza_blog_grid').'
                                    <figcaption>
                                       <div class="post-link">
                            <ul>
                                <li><a href="'.anza_page_post_url($post->ID).'"><i class="fa fa-link"></i></a></li>
                            </ul>
                        </div>
                                    </figcaption>
                                </figure>
                        <div class="post-description">
                            <h4>'.$sticky.'<a href="'.anza_page_post_url($post->ID).'">'.anza_page_post_title($post->ID).'</a></h4>
                            <div class="post-meta">                                
                                <a href="'.anza_page_archive_url($post->ID).'"><i class="fa fa-calendar"></i>'.anza_page_post_date($post->ID).'</a>
                                <a href="#"><i class="fa fa-comments"></i>'.anza_page_post_total_comments($post->ID).' Comment(s)</a>
                                <a href="'.anza_page_post_author_url($post->ID).'"><i class="fa fa-user"></i>'.anza_page_post_author($post->ID).'</a>                              
                            </div>                            
                        </div>
                    </div>
                </div>';
    
    endwhile;
	else:
	
	endif;
    
    //Reset Query
    wp_reset_postdata();
    return $output_blog;
    
}



function anza_page_post_title($id_page){
    $page_title = get_the_title( $id_page );
    return wp_kses_post($page_title);
}

/*
* Get Page Url with page id
* $id_page = id of the post or page
*/
function anza_page_post_url($id_page){
   return get_permalink( $id_page );
}

function anza_page_post_excerpt($id_page){
    global $post;  
    $save_post = $post;
    $post = get_post($id_page);
    $output = anza_text2link(get_the_excerpt());
    $post = $save_post;
    
    return wp_kses_post($output);
}

function anza_text2link($text){
    $text = preg_replace('/(((f|ht){1}t(p|ps){1}:\/\/)[-a-zA-Z0-9@:%_\+.~#?&\/\/=]+)/i', '<a href="\\1" target="_blank" rel="nofollow">\\1</a>', $text);
    $text = preg_replace('/([[:space:]()[{}])(www.[-a-zA-Z0-9@:%_\+.~#?&\/\/=]+)/i', '\\1<a href="http://\\2" target="_blank" rel="nofollow">\\2</a>', $text);
    $text = preg_replace('/([_\.0-9a-z-]+@([0-9a-z][0-9a-z-]+\.)+[a-z]{2,3})/i', '<a href="mailto:\\1" rel="nofollow" target="_blank">\\1</a>', $text);
    return esc_attr($text);
}

function anza_page_post_date($id_page){
   return get_the_time('d M, Y', $id_page);
}

function anza_page_post_total_comments($id_page){
   $comments_count = wp_count_comments( $id_page );
   return esc_attr($comments_count->total_comments); 
}

function anza_page_post_author($id_page){
   $post_author_id = get_post_field( 'post_author', $id_page );
   $post_author_name = get_the_author_meta( 'display_name', $post_author_id);
   return esc_attr($post_author_name); 
}

function anza_page_post_author_url($id_page){
   $post_author_id = get_post_field( 'post_author', $id_page );    
   $post_author_url = get_author_posts_url( $post_author_id );
   return esc_url($post_author_url); 
}

function anza_page_archive_url($id_page){
    $archive_year  = get_the_time('Y', $id_page); 
    $archive_month = get_the_time('m', $id_page); 
    $archive_day   = get_the_time('d', $id_page); 
    $archive_url = get_day_link( $archive_year, $archive_month, $archive_day);
   return esc_url($archive_url); 
}



/*
* Get All Active Social Accounts
*/
function anza_social_icons(){
    global $redux_demo;
    /*
    * Add your social networks here according to fontawesome class name
    */
    $delay_animation = 0;
    $default_social_sites = array('facebook','twitter','linkedin','pinterest','behance','rss','skype','dribbble','google-plus');
    $output_icons = '<ul>';
    foreach($default_social_sites as $icons){
        $delay_animation += .2;
        if(!empty($redux_demo["sm_$icons"]))
            $output_icons .= '<li class="wow fadeInDown" data-wow-delay="'.esc_attr($delay_animation).'s"><a href="'.esc_url ( $redux_demo["sm_$icons"] ).'"><i class="fa fa-'.$icons.'"></i></a>';
    }
                                                                           
    $output_icons .= '</ul>';
    
    return $output_icons;
   
}


function anza_breadcrumbs() {
       
    // Settings
    $separator          = '&#187;';
    $breadcrums_id      = 'breadcrumbs';
    $breadcrums_class   = 'breadcrumbs';
    $home_title         = esc_html__('Home','anza-lite');
	$prefix             = esc_html__('Archives','anza-lite');
      
    // If you have any custom post types with custom taxonomies, put the taxonomy name below (e.g. product_cat)
    $custom_taxonomy    = 'product_cat';
       
    // Get the query & post information
    global $post,$wp_query;
       
    // Do not display on the homepage
    if ( !is_front_page() ) {
       
        // Build the breadcrums
        echo '<ul id="' . $breadcrums_id . '" class="' . $breadcrums_class . '">';
           
        // Home page
        echo '<li class="item-home"><a class="bread-link bread-home" href="' . get_home_url() . '" title="' . $home_title . '">' . $home_title . '</a></li>';
        echo '<li class="separator separator-home"> ' . $separator . ' </li>';
           
        if ( is_archive() && !is_tax() && !is_category() && !is_tag() ) {
              
            echo '<li class="item-current item-archive"><strong class="bread-current bread-archive">' . post_type_archive_title() . '</strong></li>';
              
        } else if ( is_archive() && is_tax() && !is_category() && !is_tag() ) {
              
            // If post is a custom post type
            $post_type = get_post_type();
              
            // If it is a custom post type display name and link
            if($post_type != 'post') {
                  
                $post_type_object = get_post_type_object($post_type);
                $post_type_archive = get_post_type_archive_link($post_type);
              
                echo '<li class="item-cat item-custom-post-type-' . $post_type . '"><a class="bread-cat bread-custom-post-type-' . $post_type . '" href="' . $post_type_archive . '" title="' . $post_type_object->labels->name . '">' . $post_type_object->labels->name . '</a></li>';
                echo '<li class="separator"> ' . $separator . ' </li>';
              
            }
              
            $custom_tax_name = get_queried_object()->name;
            echo '<li class="item-current item-archive"><strong class="bread-current bread-archive">' . $custom_tax_name . '</strong></li>';
              
        } else if ( is_single() ) {
              
            // If post is a custom post type
            $post_type = get_post_type();
              
            // If it is a custom post type display name and link
            if($post_type != 'post') {
                  
                $post_type_object = get_post_type_object($post_type);
                $post_type_archive = get_post_type_archive_link($post_type);
              
                echo '<li class="item-cat item-custom-post-type-' . $post_type . '"><a class="bread-cat bread-custom-post-type-' . $post_type . '" href="' . $post_type_archive . '" title="' . $post_type_object->labels->name . '">' . $post_type_object->labels->name . '</a></li>';
                echo '<li class="separator"> ' . $separator . ' </li>';
              
            }
              
            // Get post category info
            $category = get_the_category();
             
            if(!empty($category)) {
              
                // Get last category post is in
				$all_values = array_values($category);
                $last_category = end($all_values);
                  
                // Get parent any categories and create array
                $get_cat_parents = rtrim(get_category_parents($last_category->term_id, true, ','),',');
                $cat_parents = explode(',',$get_cat_parents);
                  
                // Loop through parent categories and store in variable $cat_display
                $cat_display = '';
                foreach($cat_parents as $parents) {
                    $cat_display .= '<li class="item-cat">'.$parents.'</li>';
                    $cat_display .= '<li class="separator"> ' . $separator . ' </li>';
                }
             
            }
              
            // If it's a custom post type within a custom taxonomy
            $taxonomy_exists = taxonomy_exists($custom_taxonomy);
            if(empty($last_category) && !empty($custom_taxonomy) && $taxonomy_exists) {
                   
                $taxonomy_terms = get_the_terms( $post->ID, $custom_taxonomy );
                $cat_id         = $taxonomy_terms[0]->term_id;
                $cat_nicename   = $taxonomy_terms[0]->slug;
                $cat_link       = get_term_link($taxonomy_terms[0]->term_id, $custom_taxonomy);
                $cat_name       = $taxonomy_terms[0]->name;
               
            }
              
            // Check if the post is in a category
            if(!empty($last_category)) {
                echo $cat_display;
                echo '<li class="item-current item-' . $post->ID . '"><strong class="bread-current bread-' . $post->ID . '" title="' . get_the_title() . '">' . get_the_title() . '</strong></li>';
                  
            // Else if post is in a custom taxonomy
            } else if(!empty($cat_id)) {
                  
                echo '<li class="item-cat item-cat-' . $cat_id . ' item-cat-' . $cat_nicename . '"><a class="bread-cat bread-cat-' . $cat_id . ' bread-cat-' . $cat_nicename . '" href="' . $cat_link . '" title="' . $cat_name . '">' . $cat_name . '</a></li>';
                echo '<li class="separator"> ' . $separator . ' </li>';
                echo '<li class="item-current item-' . $post->ID . '"><strong class="bread-current bread-' . $post->ID . '" title="' . get_the_title() . '">' . get_the_title() . '</strong></li>';
              
            } else {
                  
                echo '<li class="item-current item-' . $post->ID . '"><strong class="bread-current bread-' . $post->ID . '" title="' . get_the_title() . '">' . get_the_title() . '</strong></li>';
                  
            }
              
        } else if ( is_category() ) {
               
            // Category page
            echo '<li class="item-current item-cat"><strong class="bread-current bread-cat">' . single_cat_title('', false) . '</strong></li>';
               
        } else if ( is_page() ) {
               
            // Standard page
            if( $post->post_parent ){
                   
                // If child page, get parents 
                $anc = get_post_ancestors( $post->ID );
                   
                // Get parents in the right order
                $anc = array_reverse($anc);
                   
                // Parent page loop
                if ( !isset( $parents ) ) $parents = null;
                foreach ( $anc as $ancestor ) {
                    $parents .= '<li class="item-parent item-parent-' . $ancestor . '"><a class="bread-parent bread-parent-' . $ancestor . '" href="' . get_permalink($ancestor) . '" title="' . get_the_title($ancestor) . '">' . get_the_title($ancestor) . '</a></li>';
                    $parents .= '<li class="separator separator-' . $ancestor . '"> ' . $separator . ' </li>';
                }
                   
                // Display parent pages
                echo $parents;
                   
                // Current page
                echo '<li class="item-current item-' . $post->ID . '"><strong title="' . get_the_title() . '"> ' . get_the_title() . '</strong></li>';
                   
            } else {
                   
                // Just display current page if not parents
                echo '<li class="item-current item-' . $post->ID . '"><strong class="bread-current bread-' . $post->ID . '"> ' . get_the_title() . '</strong></li>';
                   
            }
               
        } else if ( is_tag() ) {
               
            // Tag page
               
            // Get tag information
            $term_id        = get_query_var('tag_id');
            $taxonomy       = 'post_tag';
            $args           = 'include=' . $term_id;
            $terms          = get_terms( $taxonomy, $args );
            $get_term_id    = $terms[0]->term_id;
            $get_term_slug  = $terms[0]->slug;
            $get_term_name  = $terms[0]->name;
               
            // Display the tag name
            echo '<li class="item-current item-tag-' . $get_term_id . ' item-tag-' . $get_term_slug . '"><strong class="bread-current bread-tag-' . $get_term_id . ' bread-tag-' . $get_term_slug . '">' . $get_term_name . '</strong></li>';
           
        } elseif ( is_day() ) {
               
            // Day archive
               
            // Year link
            echo '<li class="item-year item-year-' . get_the_time('Y') . '"><a class="bread-year bread-year-' . get_the_time('Y') . '" href="' . get_year_link( get_the_time('Y') ) . '" title="' . get_the_time('Y') . '">' . get_the_time('Y') . ' Archives</a></li>';
            echo '<li class="separator separator-' . get_the_time('Y') . '"> ' . $separator . ' </li>';
               
            // Month link
            echo '<li class="item-month item-month-' . get_the_time('m') . '"><a class="bread-month bread-month-' . get_the_time('m') . '" href="' . get_month_link( get_the_time('Y'), get_the_time('m') ) . '" title="' . get_the_time('M') . '">' . get_the_time('M') . ' Archives</a></li>';
            echo '<li class="separator separator-' . get_the_time('m') . '"> ' . $separator . ' </li>';
               
            // Day display
            echo '<li class="item-current item-' . get_the_time('j') . '"><strong class="bread-current bread-' . get_the_time('j') . '"> ' . get_the_time('jS') . ' ' . get_the_time('M') . ' Archives</strong></li>';
               
        } else if ( is_month() ) {
               
            // Month Archive
               
            // Year link
            echo '<li class="item-year item-year-' . get_the_time('Y') . '"><a class="bread-year bread-year-' . get_the_time('Y') . '" href="' . get_year_link( get_the_time('Y') ) . '" title="' . get_the_time('Y') . '">' . get_the_time('Y') . ' Archives</a></li>';
            echo '<li class="separator separator-' . get_the_time('Y') . '"> ' . $separator . ' </li>';
               
            // Month display
            echo '<li class="item-month item-month-' . get_the_time('m') . '"><strong class="bread-month bread-month-' . get_the_time('m') . '" title="' . get_the_time('M') . '">' . get_the_time('M') . ' Archives</strong></li>';
               
        } else if ( is_year() ) {
               
            // Display year archive
            echo '<li class="item-current item-current-' . get_the_time('Y') . '"><strong class="bread-current bread-current-' . get_the_time('Y') . '" title="' . get_the_time('Y') . '">' . get_the_time('Y') . ' Archives</strong></li>';
               
        } else if ( is_author() ) {
               
            // Auhor archive
               
            // Get the author information
            global $author;
            $userdata = get_userdata( $author );
               
            // Display author name
            echo '<li class="item-current item-current-' . $userdata->user_nicename . '"><strong class="bread-current bread-current-' . $userdata->user_nicename . '" title="' . $userdata->display_name . '">' . 'Author: ' . $userdata->display_name . '</strong></li>';
           
        } else if ( get_query_var('paged') ) {
               
            // Paginated archives
            echo '<li class="item-current item-current-' . get_query_var('paged') . '"><strong class="bread-current bread-current-' . get_query_var('paged') . '" title="Page ' . get_query_var('paged') . '">'.esc_html__('Page','anza-lite') . ' ' . get_query_var('paged') . '</strong></li>';
               
        } else if ( is_search() ) {
           
            // Search results page
            echo '<li class="item-current item-current-' . get_search_query() . '"><strong class="bread-current bread-current-' . get_search_query() . '" title="Search results for: ' . get_search_query() . '">Search results for: ' . get_search_query() . '</strong></li>';
           
        } elseif ( is_404() ) {
               
            // 404 page
            echo '<li>' . 'Error 404' . '</li>';
        }
       
        echo '</ul>';
           
    }
       
}

function anza_posted_time($id_post){
    
}




/*
* Get the Title with first letter stylized
*/

function anza_title_with_style($title){
    return esc_attr('<em>'.substr( $title, 0, 1 ).'</em>'.substr( $title, 1, -1 ));
}

/*
* Get the Post Content with post id
*/

function anza_post_content($id_post){
    $post = get_post($id_post); 
    return wp_kses_post($post->post_content);
}

/*
* Get the Author Skills with post id
*/

function anza_author_skills($id_post,$skill_key){
    $author_skills = get_post_meta( $id_post, $skill_key, true );
    $out_skills = "";
    foreach($author_skills as $skills){
        $out_skills .='<div>';
        $out_skills .= '<h6>'.wp_kses_post($skills['po_profile_skill_name']).'</h6>';
        $out_skills .= '<span>'.wp_kses_post($skills['po_profile_skill_percentage']).'</span>';
        $out_skills .='<div class="progressbar"><div class="progress" style="width:'.wp_kses_post($skills['po_profile_skill_percentage']).'%;"></div></div>';
        $out_skills .='</div>';
    }
    return $out_skills;
}
/*
* Get Featured Image with post id
*/

function anza_post_featured_image_url($id_post){
    $img = get_post_meta( $id_post, 'ct_slider_image', true ); 
    if($img)
        return  esc_url( $img['url'] );
    else
        return esc_url(get_template_directory_uri() ). '/images/no-banner.png';
}

function anza_post_featured_image($id_post,$class='null',$size='null'){
    $thumb_id = get_post_thumbnail_id($id_post);
    $alt = get_post_meta($thumb_id, '_wp_attachment_image_alt', true);
    $image_url = wp_get_attachment_url($thumb_id);
    return '<img src="'.esc_url( $image_url ).'" alt="'.esc_attr( $alt ).'" />';
}

function anza_post_featured_image_by_class($id_post,$class='null',$size='null'){
    $thumb_id = get_post_thumbnail_id($id_post);
    if(!$thumb_id){
        $alt = get_the_title($id_post);
        $img_url = esc_url(get_template_directory_uri()) . '/images/no-banner.png';
        $image_url =  aq_resize( $img_url , 360, 360, true );
		return;
    }else{
        $alt = get_post_meta($thumb_id, '_wp_attachment_image_alt', true);
        $image_url = wp_get_attachment_image_src($thumb_id,$class)[0];
    }   
    return '<img src="'.esc_url( $image_url ).'" alt="'.esc_attr( $alt ).'" />';
}

function anza_post_attachment_image_by_class($id_attachment,$class='null',$size='null'){
   $alt = "";
   if($id_attachment['id']){    
    $image_url = wp_get_attachment_image_src($id_attachment['id'],$class)[0];   
    $alt = get_post_meta($id_attachment, '_wp_attachment_image_alt', true);
    return '<img src="'.esc_url( $image_url ).'" alt="'.esc_attr( $alt ).'" class="img-responsive" />';
   }
    else{
        return '<img src="'.esc_url( $id_attachment['url'] ).'" alt="'.esc_attr( $alt ).'" class="img-responsive" />';
    }
}


/*
* Get Services for about page using page id
*/
function anza_services_column_grid($id_services){
    $ids_total = count($id_services);
    $offset = 6 - $ids_total;
    $output_services_grid = "";
    foreach ($id_services as $key => $value){
        if($key==0)
            $offset_col = "col-md-offset-".$offset;
        else
            $offset_col = "";
        $output_services_grid .= '<div class="col-md-2 '.$offset_col.'">
                                    <div class="service-item">
                                      <div class="icon">
                                      '.anza_post_featured_image($value).'                                      
                                      </div>
                                      <h4>'.wp_kses_post(get_the_title($value)).'</h4>
                                      <div class="content-hidden">
                                        <p>'.wp_kses_post(anza_post_content($value)).'</p>
                                      </div>
                                    </div>
                                  </div>';
   
    }
     return $output_services_grid;
}
/*
* Get Services as List for services page using page id
*/
function anza_services_column_list($id_services){
   
    $output_services_list = "";
    foreach ($id_services as $service_id){
        
        $output_services_list .= '<div class="col-md-12">
                                    <div class="service-item">
                                          <div class="icon">
                                           '.anza_post_featured_image($service_id).'       
                                          </div>
                                           <h4>'.wp_kses_post(get_the_title($service_id)).'</h4>
                                          <div class="line-dec"></div>
                                          <p>'.wp_kses_post(anza_post_content($service_id)).'</p>
                                    </div>
                                  </div>';
   
    }
     return $output_services_list;
}





/*
* Get the post categories
*/

function anza_post_categories($id_post){
    $categories = get_the_category( $id_post );
    $cats = array();
    foreach($categories as $cn){
        $cats[] = $cn->cat_name;
    }

}


/*
* Get the load more posts button
*/
function anza_load_more_button($post_type){
    global $redux_demo;
   
    
    $posts_per_page = $redux_demo['works_display_limit'];
    
    $total_posts = anza_total_post('projects');
    
   
    if($total_posts<=$posts_per_page)
        return;
    
    $current_page = anza_current_page_number();
    
    $next_page = $current_page+1;
    
    $total_pages = ceil($total_posts/$posts_per_page);
    
    if($current_page >= $total_pages)
        return;
    
    
    $output_button = '<a href="javascript:void(0);" class="read-more load-more-button" id="loadposts" data-path="'.anza_get_wp_installation().'" data-page-next="'.$current_page.'" data-page-total="'.$total_pages.'" data-offset="'.$posts_per_page.'">'.esc_html__('Load More','anza-lite').'</a>';
    

    return $output_button;
}

/*
*   Get Default Post Limit
*/
function anza_default_post_limit(){
    $default_posts_per_page = get_option( 'posts_per_page' );
    return esc_attr($default_posts_per_page);
}

/*
*   Get total number of publish Posts in a post type
*/
function anza_total_post($post_type){
    if(!$post_type)
        return;
    
   $count_posts = wp_count_posts( $post_type )->publish;
    
    return esc_attr($count_posts);
}
/*
*   Get total number of publish Posts in a category
*/
function anza_total_post_by_category($id_cat){
    $category = get_category($id_cat);
    return esc_attr($category->category_count);
}

/*
*   Get total number of publish Posts in a given date
*/
function anza_total_post_by_date($post_date){
    
    list($year, $month, $day ) = array_pad(explode('-', $post_date, 3), 3, null);
    $countposts = get_posts('post_type=post&year=' . $year . '&monthnum=' . $month . '&day='.$day.'&posts_per_page=-1' );
    return count($countposts);    
}


/*
*   Get Current page number
*/
function anza_current_page_number(){
     $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
    return esc_attr($paged);
}

/*
*   Get wp installation path
*/
function anza_get_wp_installation()
{
    $full_path = getcwd();
    $ar = explode("wp-", $full_path);
    return esc_attr($ar[0]);
}


/*
*   anza Custom Post Comments Template
*/
function anza_post_comments($comment, $args, $depth){
    
        if( is_user_logged_in() && is_author(get_current_user_id()) ) {

           $comment_edit_link =  '<a href="'.get_edit_comment_link().'">'.esc_html__( '(Edit)', 'anza-lite' ).'</a>';

        }
        else
            $comment_edit_link = "";
           
         
        
        
    
        $comment_reply_link = get_comment_reply_link( array_merge( $args, array( 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) );
    
        if($comment_reply_link!="") 
            $reply_link = '('.$comment_reply_link. ')';
        else
            $reply_link = '';    
    
        $comment_content = get_comment_text();
        
        $comment_content = preg_replace('/<img\s+src="([^"]+)"[^>]+>/i', '</p><p><img src="$1" /></p><p>', $comment_content);
    
    
        $output_comments ='<li>';
        $output_comments .=get_avatar($comment, $args['avatar_size']);
        $output_comments .='<h4>'.get_comment_author().'</h4>';
        $output_comments .='<span>'.human_time_diff( get_comment_time('U'), current_time('timestamp') ).' '.esc_html__('ago','anza-lite').'</span>';        
        $output_comments .= '<p>'.$comment_content.' '.$comment_edit_link.' '.$reply_link.' </p>';
        if ( $comment->comment_approved == '0' ) :
        $output_comments .='<em class="comment-awaiting-moderation">'.esc_html__( 'Your comment is awaiting moderation.', 'anza-lite' ).'</em>';
        endif;       
        $output_comments .='</li>';
    echo wp_kses_post($output_comments);
}