<?php
/**
 * Anza Engine Room.
 * This is where all Theme Functions runs.
 *
 * @package anza
 */
/**
 * Setup.
 * Enqueue styles, register widget regions, etc.
 */
require get_template_directory() . '/inc/functions/function-setup.php';

require get_template_directory() . '/inc/classes/class.aq_resizer.php';

/**
 * Themes Funtions.
 * logo, data, posts etc.
 */
require get_template_directory() . '/inc/functions/function-themes.php';

/**
 * Implement the Custom Header feature.
 */
require get_template_directory() . '/inc/custom-header.php';

/**
 * Custom template tags for this theme.
 */
require get_template_directory() . '/inc/template-tags.php';

/**
 * Custom functions that act independently of the theme templates.
 */
require get_template_directory() . '/inc/extras.php';

/**
 * Customizer additions.
 */
require get_template_directory() . '/inc/customizer.php';

/**
 * Load Jetpack compatibility file.
 */
require get_template_directory() . '/inc/jetpack.php';

require get_template_directory() . '/inc/classes/class.walker_nav_menu.php';
require get_template_directory() . '/inc/plugins.php';
