<?php
require_once get_template_directory(). '/inc/classes/class-tgm-plugin-activation.php';

add_action( 'tgmpa_register', 'anza_require_plugins' );
 
function anza_require_plugins() {
 
    $plugins = array( 
        array(
        'name'               => esc_html__('anza Framework','anza-lite'),
        'version'				=> '3.6.0.3',
        'slug'                  => 'redux-framework', // The plugin slug (typically the folder name)
        'source'                => 'http://codetides.com/anza-lite/plugin-src/redux-framework.zip', // The plugin source
        'required'              => true, // If false, the plugin is only 'recommended' instead of required
		'external_url'       	=> 'http://codetides.com/anza-lite/plugin-src/redux-framework.zip',
    ),
        array(
        'name'               => esc_html__('anza Custom Post Types','anza-lite'),
        'version'				=> '1.0',
        'slug'                  => 'anza-custom-post-types', // The plugin slug (typically the folder name)
        'source'                => 'http://codetides.com/anza-lite/plugin-src/anza-custom-post-types.zip', // The plugin source
        'required'              => true, // If false, the plugin is only 'recommended' instead of required
		'external_url'       	=> 'http://codetides.com/anza-lite/plugin-src/anza-custom-post-types.zip',
    ),        
    array(
        'name'               => esc_html__('Contact Form 7','anza-lite'),        
        'slug'                  => 'contact-form-7', // The plugin slug (typically the folder name)      
        'required'              => true, // If false, the plugin is only 'recommended' instead of required
    ),
    array(
        'name'               => esc_html__('One Click Import Demo','anza-lite'),
        'version'				=> '2.3.0',        
        'slug'                  => 'one-click-demo-import', // The plugin slug (typically the folder name)   
        'source'                => 'https://wordpress.org/plugins/one-click-demo-import/', // The plugin source
        'required'              => true, // If false, the plugin is only 'recommended' instead of required
    ),      
    
    );
    $config = array( 
    'domain'       => 'anza-lite',
    'id'           => 'anza-tgmpa', // your unique TGMPA ID
    'default_path' => get_template_directory_uri() . '/plugins/', // default absolute path
    'menu'         => 'anza-install-required-plugins', // menu slug
    'has_notices'  => true, // Show admin notices
    'dismissable'  => false, // the notices are NOT dismissable
    'dismiss_msg'  => esc_html__('You must need to install these plugins for proper functioning of anza theme!','anza-lite'), // this message will be output at top of nag
    'is_automatic' => true, // automatically activate plugins after installation
    'message'      => '<!--Hey there.-->', // message to output right before the plugins table
    'strings'      => array(), // The array of message strings that TGM Plugin Activation uses
    
    );
 
    tgmpa( $plugins, $config );
 
}
